[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# EnumResLangProc

Callback for language resource enumeration

## Declaration

Source position: resh.inc line 49

`type EnumResLangProc = function(`
`ModuleHandle: TFPResourceHMODULE;`
`ResourceType: PChar;`
`ResourceName: PChar;`
`IDLanguage: Word;`
`lParam: PtrInt`
`):LongBool;`

## Description

EnumResNameProcs used in the EnumResourceLanguages call. It is called for all languages for a resource of the specified type and name, and is passed the ModuleHandle, ResourceName , ResourceName and IDLanguage values for each language encountered for the specified resource. Additionally, the lParam parameter from the EnumResourceLanguages is passed unaltered.

## See also

EnumResourceLanguages |  | Enumerate available languages for a resource of given type and name

Documentation generated on: Feb 26 2014